FreeMat

- Main Page
- Related Pages

vtkImageRFFT

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageRFFT implements the reverse fast Fourier transform. The input can have real or complex data in any components and data types, but the output is always complex doubles with real values in component0, and imaginary values in component1. The filter is fastest for images that have power of two sizes. The filter uses a butterfly fitlers for each prime factor of the dimension. This makes images with prime number dimensions (i.e. 17x17) much slower to compute. Multi dimensional (i.e volumes) FFT's are decomposed so that each axis executes in series. In most cases the RFFT will produce an image whose imaginary values are all zero's. In this case vtkImageExtractComponents can be used to remove this imaginary components leaving only the real image.

To create an instance of class vtkImageRFFT, simply invoke its constructor as follows

      obj = vtkImageRFFT

# Methods

The class vtkImageRFFT has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageRFFT class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageRFFT = obj.NewInstance ()`
- `vtkImageRFFT = obj.SafeDownCast (vtkObject o)`
- `int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)` - For streaming and threads. Splits output update extent into num pieces. This method needs to be called num times. Results must not overlap for consistent starting extent. Subclass can override this method. This method returns the number of pieces resulting from a successful split. This can be from 1 to "total". If 1 is returned, the extent cannot be split.